@import '../styles/functions/rem.scss';
@import '../styles/theme.scss';

.nav {
    width: 100%;

    ul {
        display: flex;
        flex-direction: column;

        li {
            width: 100%;
            display: flex;
            justify-content: center;
            

            &:last-child {
                border-bottom: 1px solid #000;
            }

            a {
                width: 100%;
                text-align: center;
                color: $primary-color;
                text-decoration: none;
                text-shadow: 1px 1px 2px #000;
                border-top: 1px solid #000;
                border-right: 4px solid transparent;
                box-sizing: border-box;
    
                @include rem-fallback(font-size, 25);
                @include rem-fallback(height, 50);
                @include rem-fallback(line-height, 50);
    
                &:hover, &.active {
                    color: #ffffff;
                    background-color: $secondary-color;
                    font-weight: bold;
                    text-shadow: 2px 2px 1px #000000;
                    border-right: 4px solid #ffffff;
                }
            }
        }
    }
}

@media all and (max-width: 825px) { 
    .nav {
        @include rem-fallback(height, 60);
        ul {
            height: 100%;
            flex-direction: row;

            li {

                &:last-child {
                    border-bottom: none;
                }

                a {
                    border-top: none;
                    border-right: 1px solid #000000;
                    border-left: 1px solid #000000;
                    border-bottom: 1px solid #000000;
                    height: 100%;

                    &:hover, &.active {
                        border-right: none;
                        border-bottom: 4px solid #ffffff;
                    }
                }
            }
        }
    }
}